org.apache.flume.interceptor

## Interface Interceptor.Builder

- All Superinterfaces:
    Configurable
  All Known Implementing Classes:
    HostInterceptor.Builder, MorphlineInterceptor.Builder, RegexExtractorInterceptor.Builder, RegexFilteringInterceptor.Builder, SearchAndReplaceInterceptor.Builder, StaticInterceptor.Builder, TimestampInterceptor.Builder, UUIDInterceptor.Builder
  Enclosing interface:
    Interceptor

      public static interface Interceptor.Builder
      extends Configurable

  Builder implementations MUST have a no-arg constructor

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Interceptor` | `build()`

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

- - ### Method Detail

    - #### build

          Interceptor build()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.